Go to the latest version of this document.

# ``twisted`.`mail`.`smtp`.`SMTPDeliveryError``

exception documentation

`class SMTPDeliveryError(SMTPClientError): (source)`

Constructor: `SMTPDeliveryError(code, resp, log, addresses, ...)`

View In Hierarchy

Indicates that a delivery attempt has had an error.

Inherited from `SMTPClientError`:

Method | `__bytes__` | Undocumented
Method | `__init__` | No summary
Method | `__str__` | Undocumented
Instance Variable | `addresses` | Undocumented
Instance Variable | `code` | Undocumented
Instance Variable | `isFatal` | Undocumented
Instance Variable | `log` | Undocumented
Instance Variable | `resp` | Undocumented
Instance Variable | `retry` | Undocumented